ONVIF::Media::Types::MetadataStreamExtension(3pm)

NAME
ONVIF::Media::Types::MetadataStreamExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType MetadataStreamExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AudioAnalyticsStream

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::MetadataStreamExtension
   AudioAnalyticsStream =>  { # ONVIF::Media::Types::AudioAnalyticsStream
     AudioDescriptor =>  { # ONVIF::Media::Types::AudioDescriptor
     },
     Extension =>  { # ONVIF::Media::Types::AudioAnalyticsStreamExtension
     },
   },
   Extension =>  { # ONVIF::Media::Types::MetadataStreamExtension2
   },
 },

AUTHOR
Generated by SOAP::WSDL